Package: org.codehaus.groovy.ast.stmt

## [Java] Class ExpressionStatement

- org.codehaus.groovy.ast.stmt.ExpressionStatement

- A simple statement such as a method call where the return value is ignored

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Expression` | `expression`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExpressionStatement (Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getExpression()`
    `` | `String` | `getText()`
    `` | `void` | `setExpression(Expression expression)`
    `` | `String` | `toString()`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, clearWarnings, getFetchDirection, getFetchSize, getWarnings, setFetchDirection, setFetchSize, getResultSet, addBatch, clearBatch, closeOnCompletion, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap, isWrapperFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Expression expression

  - ### Constructor Detail

    - #### public ExpressionStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public void setExpression(Expression expression)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)